Package org.eclipse.net4j.util.security

# Interface ICrypter

All Superinterfaces:
  `Function<byte[],byte[]>`

All Known Implementing Classes:
  `Crypter`, `MessageDigestCrypter`

public interface ICrypter extends Function<byte[],byte[]>
Transforms byte arrays to byte arrays.

Since:
  3.23
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICrypter`
`IDENTITY`
`static final String`
`PRODUCT_GROUP`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`apply(byte[] data)`
`String`
`getParams()`
`String`
`getType()`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### PRODUCT_GROUP

static final String PRODUCT_GROUP

See Also:
  - Constant Field Values

### IDENTITY

static final ICrypter IDENTITY

## Method Details

### getType

String getType()

### getParams

String getParams()

### apply

byte[] apply(byte[] data)

Specified by:
  `apply` in interface `Function<byte[],byte[]>`